[ooo-build-commit] Branch 'ooo/master' - 4 commits - configure configure.in scp2/source solenv/config solenv/inc

Jan Holesovsky kendy at kemper.freedesktop.org
Thu Sep 17 17:10:51 PDT 2009


 configure                         |  289 ++++++++++++++++++++++++++++++++------
 configure.in                      |   28 ++-
 scp2/source/ooo/file_font_ooo.scp |   64 ++++----
 solenv/config/sdev300.ini         |    4 
 solenv/inc/tg_ext.mk              |   14 -
 solenv/inc/unitools.mk            |    2 
 solenv/inc/wntmsci11.mk           |    8 -
 7 files changed, 321 insertions(+), 88 deletions(-)

New commits:
commit 0445773eec534aba7dc34115da3ddc8799890d2e
Author: Jens-Heiner Rechtien <hr at openoffice.org>
Date:   Thu Sep 17 16:38:16 2009 +0000

diff --git a/configure b/configure
index 4110517..0c3a7d3 100755
--- a/configure
+++ b/configure
@@ -1084,10 +1084,10 @@ Optional Packages:
                           Usage: --with-vba-package-format="builtin" or
                                  --with-vba-package-format="extn"
 
-  --without-fonts         Removes Bitstream Vera fonts from
-                          openoffice.org installation set, for people building
-                          for specific distributions where the fonts are known
-                          to be already available
+  --without-fonts         OOo includes some third-party fonts to provide a reliable
+                          basis for help content, templates, samples, etc.
+                          When these fonts are already known to be available on the
+                          system then you should use this option.
 
   --without-ppds          Removes Postscript Printer definition files from
                           openoffice.org installation set, for people building
@@ -15612,18 +15612,18 @@ echo "$as_me: error: boost/shared_ptr.hpp not found. install boost" >&2;}
 fi
 
 
-   if test "${ac_cv_header_boost_spirit_core_hpp+set}" = set; then
-  echo "$as_me:$LINENO: checking for boost/spirit/core.hpp" >&5
-echo $ECHO_N "checking for boost/spirit/core.hpp... $ECHO_C" >&6
-if test "${ac_cv_header_boost_spirit_core_hpp+set}" = set; then
+   if test "${ac_cv_header_boost_spirit_include_classic_core_hpp+set}" = set; then
+  echo "$as_me:$LINENO: checking for boost/spirit/include/classic_core.hpp" >&5
+echo $ECHO_N "checking for boost/spirit/include/classic_core.hpp... $ECHO_C" >&6
+if test "${ac_cv_header_boost_spirit_include_classic_core_hpp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_boost_spirit_core_hpp" >&5
-echo "${ECHO_T}$ac_cv_header_boost_spirit_core_hpp" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_boost_spirit_include_classic_core_hpp" >&5
+echo "${ECHO_T}$ac_cv_header_boost_spirit_include_classic_core_hpp" >&6
 else
   # Is the header compilable?
-echo "$as_me:$LINENO: checking boost/spirit/core.hpp usability" >&5
-echo $ECHO_N "checking boost/spirit/core.hpp usability... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking boost/spirit/include/classic_core.hpp usability" >&5
+echo $ECHO_N "checking boost/spirit/include/classic_core.hpp usability... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -15631,7 +15631,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 $ac_includes_default
-#include <boost/spirit/core.hpp>
+#include <boost/spirit/include/classic_core.hpp>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -15667,15 +15667,15 @@ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
 echo "${ECHO_T}$ac_header_compiler" >&6
 
 # Is the header present?
-echo "$as_me:$LINENO: checking boost/spirit/core.hpp presence" >&5
-echo $ECHO_N "checking boost/spirit/core.hpp presence... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking boost/spirit/include/classic_core.hpp presence" >&5
+echo $ECHO_N "checking boost/spirit/include/classic_core.hpp presence... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <boost/spirit/core.hpp>
+#include <boost/spirit/include/classic_core.hpp>
 _ACEOF
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
@@ -15709,25 +15709,25 @@ echo "${ECHO_T}$ac_header_preproc" >&6
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
   yes:no: )
-    { echo "$as_me:$LINENO: WARNING: boost/spirit/core.hpp: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: boost/spirit/core.hpp: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: boost/spirit/core.hpp: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: boost/spirit/core.hpp: proceeding with the compiler's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: boost/spirit/include/classic_core.hpp: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: boost/spirit/include/classic_core.hpp: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: boost/spirit/include/classic_core.hpp: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: boost/spirit/include/classic_core.hpp: proceeding with the compiler's result" >&2;}
     ac_header_preproc=yes
     ;;
   no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: boost/spirit/core.hpp: present but cannot be compiled" >&5
-echo "$as_me: WARNING: boost/spirit/core.hpp: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: boost/spirit/core.hpp:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: boost/spirit/core.hpp:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: boost/spirit/core.hpp: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: boost/spirit/core.hpp: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: boost/spirit/core.hpp:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: boost/spirit/core.hpp:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: boost/spirit/core.hpp: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: boost/spirit/core.hpp: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: boost/spirit/core.hpp: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: boost/spirit/core.hpp: in the future, the compiler will take precedence" >&2;}
+    { echo "$as_me:$LINENO: WARNING: boost/spirit/include/classic_core.hpp: present but cannot be compiled" >&5
+echo "$as_me: WARNING: boost/spirit/include/classic_core.hpp: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: boost/spirit/include/classic_core.hpp:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: boost/spirit/include/classic_core.hpp:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: boost/spirit/include/classic_core.hpp: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: boost/spirit/include/classic_core.hpp: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: boost/spirit/include/classic_core.hpp:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: boost/spirit/include/classic_core.hpp:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: boost/spirit/include/classic_core.hpp: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: boost/spirit/include/classic_core.hpp: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: boost/spirit/include/classic_core.hpp: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: boost/spirit/include/classic_core.hpp: in the future, the compiler will take precedence" >&2;}
     (
       cat <<\_ASBOX
 ## ------------------------------------------ ##
@@ -15738,26 +15738,233 @@ _ASBOX
       sed "s/^/$as_me: WARNING:     /" >&2
     ;;
 esac
-echo "$as_me:$LINENO: checking for boost/spirit/core.hpp" >&5
-echo $ECHO_N "checking for boost/spirit/core.hpp... $ECHO_C" >&6
-if test "${ac_cv_header_boost_spirit_core_hpp+set}" = set; then
+echo "$as_me:$LINENO: checking for boost/spirit/include/classic_core.hpp" >&5
+echo $ECHO_N "checking for boost/spirit/include/classic_core.hpp... $ECHO_C" >&6
+if test "${ac_cv_header_boost_spirit_include_classic_core_hpp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_header_boost_spirit_core_hpp=$ac_header_preproc
+  ac_cv_header_boost_spirit_include_classic_core_hpp=$ac_header_preproc
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_boost_spirit_core_hpp" >&5
-echo "${ECHO_T}$ac_cv_header_boost_spirit_core_hpp" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_boost_spirit_include_classic_core_hpp" >&5
+echo "${ECHO_T}$ac_cv_header_boost_spirit_include_classic_core_hpp" >&6
 
 fi
-if test $ac_cv_header_boost_spirit_core_hpp = yes; then
+if test $ac_cv_header_boost_spirit_include_classic_core_hpp = yes; then
   :
 else
-  { { echo "$as_me:$LINENO: error: boost/spirit/core.hpp not found. install boost" >&5
-echo "$as_me: error: boost/spirit/core.hpp not found. install boost" >&2;}
+  { { echo "$as_me:$LINENO: error: boost/spirit/include/classic_core.hpp not found. install boost >= 1.38" >&5
+echo "$as_me: error: boost/spirit/include/classic_core.hpp not found. install boost >= 1.38" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
 
+   if test "${ac_cv_header_boost_function_hpp+set}" = set; then
+  echo "$as_me:$LINENO: checking for boost/function.hpp" >&5
+echo $ECHO_N "checking for boost/function.hpp... $ECHO_C" >&6
+if test "${ac_cv_header_boost_function_hpp+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_boost_function_hpp" >&5
+echo "${ECHO_T}$ac_cv_header_boost_function_hpp" >&6
+else
+  # Is the header compilable?
+echo "$as_me:$LINENO: checking boost/function.hpp usability" >&5
+echo $ECHO_N "checking boost/function.hpp usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <boost/function.hpp>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_cxx_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking boost/function.hpp presence" >&5
+echo $ECHO_N "checking boost/function.hpp presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <boost/function.hpp>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_cxx_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: boost/function.hpp: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: boost/function.hpp: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: boost/function.hpp: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: boost/function.hpp: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: boost/function.hpp: present but cannot be compiled" >&5
+echo "$as_me: WARNING: boost/function.hpp: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: boost/function.hpp:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: boost/function.hpp:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: boost/function.hpp: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: boost/function.hpp: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: boost/function.hpp:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: boost/function.hpp:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: boost/function.hpp: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: boost/function.hpp: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: boost/function.hpp: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: boost/function.hpp: in the future, the compiler will take precedence" >&2;}
+    (
+      cat <<\_ASBOX
+## ------------------------------------------ ##
+## Report this to the AC_PACKAGE_NAME lists.  ##
+## ------------------------------------------ ##
+_ASBOX
+    ) |
+      sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+echo "$as_me:$LINENO: checking for boost/function.hpp" >&5
+echo $ECHO_N "checking for boost/function.hpp... $ECHO_C" >&6
+if test "${ac_cv_header_boost_function_hpp+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_boost_function_hpp=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_boost_function_hpp" >&5
+echo "${ECHO_T}$ac_cv_header_boost_function_hpp" >&6
+
+fi
+if test $ac_cv_header_boost_function_hpp = yes; then
+  :
+else
+  { { echo "$as_me:$LINENO: error: boost/function.hpp not found. install boost" >&5
+echo "$as_me: error: boost/function.hpp not found. install boost" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+
+   save_CXXFLAGS=$CXXFLAGS
+   CXXFLAGS="$CXXFLAGS -fno-exceptions"
+   echo "$as_me:$LINENO: checking whether boost/function.hpp compiles with -fno-exceptions" >&5
+echo $ECHO_N "checking whether boost/function.hpp compiles with -fno-exceptions... $ECHO_C" >&6
+   cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <boost/function.hpp>
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_cxx_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_cxx_boost_no_exceptons_broken=no
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_cxx_boost_no_exceptons_broken=yes
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+   if test "$ac_cv_cxx_boost_no_exceptons_broken" = "yes"; then
+	{ { echo "$as_me:$LINENO: error: no, see https://bugzilla.redhat.com/show_bug.cgi?id=477131" >&5
+echo "$as_me: error: no, see https://bugzilla.redhat.com/show_bug.cgi?id=477131" >&2;}
+   { (exit 1); exit 1; }; }
+   else
+  	echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+   fi
+   CXXFLAGS=$save_CXXFLAGS
    ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
commit efed0f30d26d96ac9cc4acedf198fca1a0f05116
Author: Jens-Heiner Rechtien <hr at openoffice.org>
Date:   Thu Sep 17 16:34:35 2009 +0000

    CWS-TOOLING: integrate CWS vcl105
    2009-09-07 Philipp Lohmann fix path issues
    2009-09-07 hdu #i104525# Aqua: workaround OSX problem in RecentlyUsed list
    2009-09-07 Philipp Lohmann add missing dollar sign
    2009-09-07 Philipp Lohmann remove warnings
    2009-09-07 hdu #i104011# need to use real-vals in cff-subsetter for some fonts
    2009-09-05 Philipp Lohmann #i103674# less noise
    2009-09-05 Philipp Lohmann #i103674# add garmin communicator to list of crashing plugins
    2009-09-05 Philipp Lohmann #i103674# confiuration option to disable plugin support
    2009-09-05 Philipp Lohmann merge #i102735#
    2009-09-05 Philipp Lohmann #i88802# enable transparency resolution for PDF/A
    2009-09-04 Philipp Lohmann rebase to DEV300m57
    2009-09-03 Philipp Lohmann #i90083# fix a typo
    2009-09-03 Philipp Lohmann merge
    2009-09-03 Philipp Lohmann #i90083# workaround for application frame switching
    2009-09-03 hdu #i104720# better description for --without-fonts configure option
    2009-09-02 hdu #i104723# update third-party fonts
    2009-09-02 hdu #i104723# update default-installed Liberation fonts from 1.04->1.05.1.20090721
    2009-09-02 hdu #i104720# update default-installed DejaVu fonts from 2.21->2.30
    2009-09-02 hdu #i89682# add Gentium fonts to default installation
    2009-09-02 hdu #i89682# add Gentium fonts to default installation
    2009-09-01 hdu #i104011# fix vertical offset in PDF-export of USP-layouted text
    2009-08-27 Philipp Lohmann #i102033# ignore transients
    2009-08-27 Philipp Lohmann merge
    2009-08-27 Philipp Lohmann fix warning, remove crappy early exits
    2009-08-26 Philipp Lohmann #i63494# user event time for generic plugin always regotten to work around metacity
    2009-08-26 Philipp Lohmann merge
    2009-08-26 Philipp Lohmann #i104526# fix string conversion
    2009-08-25 Philipp Lohmann #b6855541# show newly added driver, repair remove driver
    2009-08-25 Philipp Lohmann #i104469# maximizing issue (thanks haggai)

diff --git a/configure.in b/configure.in
index 814d110..5c76458 100644
--- a/configure.in
+++ b/configure.in
@@ -72,10 +72,10 @@ AC_ARG_ENABLE(mozilla,
                           version, use this option.
 ],,enable_mozilla="yes")
 AC_ARG_WITH(fonts,
-[  --without-fonts         Removes Bitstream Vera fonts from
-                          openoffice.org installation set, for people building
-                          for specific distributions where the fonts are known 
-                          to be already available
+[  --without-fonts         OOo includes some third-party fonts to provide a reliable
+                          basis for help content, templates, samples, etc.
+                          When these fonts are already known to be available on the
+                          system then you should use this option.
 ],,)
 AC_ARG_WITH(ppds,
 [  --without-ppds          Removes Postscript Printer definition files from
diff --git a/scp2/source/ooo/file_font_ooo.scp b/scp2/source/ooo/file_font_ooo.scp
index 442c688..59d829b 100644
--- a/scp2/source/ooo/file_font_ooo.scp
+++ b/scp2/source/ooo/file_font_ooo.scp
@@ -40,54 +40,54 @@ STD_FONT_FILE( gid_File_Fnt_DejaVuSans, DejaVuSans.ttf, DejaVu Sans)
 #endif 
 
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSans_Bold, DejaVuSansBold.ttf, DejaVu Sans Bold) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSans_Bold, DejaVuSans-Bold.ttf, DejaVu Sans Bold) 
 #endif 
 
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSans_Oblique, DejaVuSansOblique.ttf, DejaVu Sans Oblique) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSans_Oblique, DejaVuSans-Oblique.ttf, DejaVu Sans Oblique) 
 #endif 
 
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSans_BoldOblique, DejaVuSansBoldOblique.ttf, DejaVu Sans Bold Oblique) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSans_BoldOblique, DejaVuSans-BoldOblique.ttf, DejaVu Sans Bold Oblique) 
 #endif 
 
 // DejaVuSans ExtraLight
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSansExtraLight, DejaVuSansExtraLight.ttf, DejaVu Sans ExtraLight) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSansExtraLight, DejaVuSans-ExtraLight.ttf, DejaVu Sans ExtraLight) 
 #endif
 
 // DejaVuSans Condensed
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSansCondensed, DejaVuCondensedSans.ttf, DejaVu Sans Condensed) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSansCondensed, DejaVuSansCondensed.ttf, DejaVu Sans Condensed) 
 #endif 
 
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSansCondensed_Bold, DejaVuCondensedSansBold.ttf, DejaVu Sans Condensed Bold) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSansCondensed_Bold, DejaVuSansCondensed-Bold.ttf, DejaVu Sans Condensed Bold) 
 #endif 
 
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSansCondensed_Oblique, DejaVuCondensedSansOblique.ttf, DejaVu Sans Condensed Oblique) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSansCondensed_Oblique, DejaVuSansCondensed-Oblique.ttf, DejaVu Sans Condensed Oblique) 
 #endif 
 
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSansCondensed_BoldOblique, DejaVuCondensedSansBoldOblique.ttf, DejaVu Sans Condensed Bold Oblique) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSansCondensed_BoldOblique, DejaVuSansCondensed-BoldOblique.ttf, DejaVu Sans Condensed Bold Oblique) 
 #endif 
 
 // DejaVuSans Mono
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSansMono, DejaVuMonoSans.ttf, DejaVu Sans Mono) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSansMono, DejaVuSansMono.ttf, DejaVu Sans Mono) 
 #endif 
 
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSansMono_Bold, DejaVuMonoSansBold.ttf, DejaVu Sans Mono Bold) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSansMono_Bold, DejaVuSansMono-Bold.ttf, DejaVu Sans Mono Bold) 
 #endif 
 
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSansMono_Oblique, DejaVuMonoSansOblique.ttf, DejaVu Sans Mono Oblique) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSansMono_Oblique, DejaVuSansMono-Oblique.ttf, DejaVu Sans Mono Oblique) 
 #endif 
 
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSansMono_BoldOblique, DejaVuMonoSansBoldOblique.ttf, DejaVu Sans Mono Bold Oblique) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSansMono_BoldOblique, DejaVuSansMono-BoldOblique.ttf, DejaVu Sans Mono Bold Oblique) 
 #endif
 
 // DejaVuSerif Proportional
@@ -96,32 +96,23 @@ STD_FONT_FILE( gid_File_Fnt_DejaVuSerif, DejaVuSerif.ttf, DejaVu Serif)
 #endif 
 
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSerif_Bold, DejaVuSerifBold.ttf, DejaVu Serif Bold) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSerif_Bold, DejaVuSerif-Bold.ttf, DejaVu Serif Bold) 
 #endif 
 
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSerif_Italic, DejaVuSerifItalic.ttf, DejaVu Serif Italic) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSerif_Italic, DejaVuSerif-Italic.ttf, DejaVu Serif Italic) 
 #endif 
 
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSerif_BoldItalic, DejaVuSerifBoldItalic.ttf, DejaVu Serif Bold Italic) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSerif_BoldItalic, DejaVuSerif-BoldItalic.ttf, DejaVu Serif Bold Italic) 
 #endif 
 
 // DejaVuSerif Condensed
 #ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSerifCondensed, DejaVuCondensedSerif.ttf, DejaVu Serif Condensed) 
-#endif 
-
-#ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSerifCondensed_Bold, DejaVuCondensedSerifBold.ttf, DejaVu Serif Condensed Bold) 
-#endif 
-
-#ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSerifCondensed_Italic, DejaVuCondensedSerifItalic.ttf, DejaVu Serif Condensed Italic) 
-#endif 
-
-#ifndef WITHOUT_FONTS 
-STD_FONT_FILE( gid_File_Fnt_DejaVuSerifCondensed_BoldItalic, DejaVuCondensedSerifBoldItalic.ttf, DejaVu Serif Condensed Bold Italic) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSerifCondensed, DejaVuSerifCondensed.ttf, DejaVu Serif Condensed) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSerifCondensed_Bold, DejaVuSerifCondensed-Bold.ttf, DejaVu Serif Condensed Bold) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSerifCondensed_Italic, DejaVuSerifCondensed-Italic.ttf, DejaVu Serif Condensed Italic) 
+STD_FONT_FILE( gid_File_Fnt_DejaVuSerifCondensed_BoldItalic, DejaVuSerifCondensed-BoldItalic.ttf, DejaVu Serif Condensed Bold Italic) 
 #endif 
 
 
@@ -201,3 +192,20 @@ STD_FONT_FILE( gid_File_Fnt_LiberationSerif_Italic, LiberationSerif-Italic.ttf,
 STD_FONT_FILE( gid_File_Fnt_LiberationSerif_BoldItalic, LiberationSerif-BoldItalic.ttf, Liberation Serif Bold Italic) 
 #endif
 #endif
+
+// Gentium fonts
+
+#ifndef WITHOUT_FONTS 
+STD_FONT_FILE( gid_File_Fnt_GentiumBasicRegular, GenBasR.ttf, Gentium Basic)
+STD_FONT_FILE( gid_File_Fnt_GentiumBasicBold, GenBasB.ttf, Gentium Basic Bold)
+STD_FONT_FILE( gid_File_Fnt_GentiumBasicItalic, GenBasI.ttf, Gentium Basic Bold)
+STD_FONT_FILE( gid_File_Fnt_GentiumBasicBoldItalic, GenBasBI.ttf, Gentium Basic Bold Italic)
+#endif 
+
+#ifndef WITHOUT_FONTS 
+STD_FONT_FILE( gid_File_Fnt_GentiumBookBasicRegular, GenBkBasR.ttf, Gentium Book Basic)
+STD_FONT_FILE( gid_File_Fnt_GentiumBookBasicBold, GenBkBasB.ttf, Gentium Book Basic Bold)
+STD_FONT_FILE( gid_File_Fnt_GentiumBookBasicItalic, GenBkBasI.ttf, Gentium Book Basic Bold)
+STD_FONT_FILE( gid_File_Fnt_GentiumBookBasicBoldItalic, GenBkBasBI.ttf, Gentium Book Basic Bold Italic)
+#endif 
+
commit 74ab9de9395b623f66279226462556b4a19fc9e7
Author: Ivo Hinkelmann <ihi at openoffice.org>
Date:   Thu Sep 17 13:59:29 2009 +0000

    #i10000# #i105059# bergmann build patch

diff --git a/solenv/config/sdev300.ini b/solenv/config/sdev300.ini
index e675c9a..fb94c45 100644
--- a/solenv/config/sdev300.ini
+++ b/solenv/config/sdev300.ini
@@ -189,10 +189,6 @@ finish
 			ENABLE_GTK 
 			SOLARINCLUDES -I%SOLARVERSION%$/%INPATH%$/inc%UPDMINOREXT% -I%SOLARENV%$/%OUTPATH%$/inc -I%SOLARENV%$/inc %SOLAREXTRAINC%
 		}
-        common_0:1 IF %SYSTEM_PYTHON% != YES
-        {
-			PYTHONPATH .$:$cp(%SOLARVER%$/%INPATH%$/lib%UPDMINOREXT%)$:$cp(%SOLARVER%$/%INPATH%$/lib%UPDMINOREXT%$/python)$:$cp(%SOLARVER%$/%INPATH%$/lib%UPDMINOREXT%$/python$/lib-dynload)$:$cp(%SOLARVER%$/%INPATH%$/lib%UPDMINOREXT%$/pyuno)$:$cp(%SOLARVER%$/%INPATH%$/bin%UPDMINOREXT%$/pyuno)
-        }
 		common_0:3 IF %SOLARINCLUDES% ==
 		{
 			SOLARINCLUDES -I%SOLARVERSION%$/%INPATH%$/inc%UPDMINOREXT% %PSDKINC% -I%COMPATH%$/include -I%SOLARENV%$/inc %SOLAREXTRAINC%
commit a38b8a81b83d3fa01d2d06ee391784248133c016
Author: Ivo Hinkelmann <ihi at openoffice.org>
Date:   Thu Sep 17 10:11:42 2009 +0000

    CWS-TOOLING: integrate CWS boost134
    2009-09-09 10:30:24 +0200 fs  r275970 : #i100127# provided by rene: check whether system-boost's function.hpp compiles without exception support
    2009-09-04 21:58:00 +0200 fs  r275832 : indention
    2009-09-04 21:57:10 +0200 fs  r275831 : #i10000# type in boost/spirit check. Thanks to thb
    2009-09-04 10:58:54 +0200 fs  r275787 : #i100127# provided by tono at openoffice.org: mingw needs using directives for std::min/max
    2009-09-04 10:31:54 +0200 fs  r275782 : #i100127# (approved by hjs) on Solaris, set GNUTAR to /usr/sfw/bin/gtar, this is available on baseline machines (Solaris 10.x), but not necessarily available in LD_LIBRARY_PATH
    2009-08-19 21:47:55 +0200 rene  r275161 : #i10000# check for the header actually used now
    2009-08-17 21:55:31 +0200 fs  r275073 : CWS-TOOLING: rebase CWS boost134 to trunk at 275001 (milestone: DEV300:m55)
    2009-07-16 09:39:25 +0200 fs  r274031 : #i100127# extract download/% with GNUTAR instead of TAR
    2009-07-14 09:18:15 +0200 fs  r273960 : CWS-TOOLING: rebase CWS boost134 to trunk at 273858 (milestone: DEV300:m52)
    2009-07-13 09:55:14 +0200 fs  r273919 : #i100127# use boost 1.39, not 1.34
    2009-07-13 09:45:57 +0200 fs  r273918 : use GNUTAR when extracting download/%.tar.gz, not TAR (necessary with boost 1.39 tarball)
    2009-07-10 21:10:52 +0200 fs  r273905 : #i100127# spirit now part of boost
    2009-07-06 12:12:13 +0200 fs  r273732 : #i10000# lngconvex, used in src/wizards, is built in shell => added missing module dependency
    2009-07-02 15:34:51 +0200 fs  r273660 : #i100127#
    2009-07-02 13:35:24 +0200 fs  r273645 : #i100127# MSVC needs some hinting when using boost::bind on (some) member functions
    2009-07-02 10:33:59 +0200 fs  r273625 : removed unused include (lead to an internal compiler error with MSVC and boost 1.34+)
    2009-07-02 09:44:35 +0200 fs  r273619 : change some include orders, prevents 'internal compiler errors' with MSVC
    2009-07-01 09:19:25 +0200 fs  r273547 : #i100127# who the heck is defining max as something unusable?
    2009-07-01 09:17:28 +0200 fs  r273546 : #i100127# defining min/max is causing trouble now
    2009-07-01 09:15:40 +0200 fs  r273545 : #i100127# reverted previous patch, and properly fixed the problem by defining BOOST_MEM_FN_ENABLE_CDECL, and disabling warning 4180
    2009-07-01 09:14:23 +0200 fs  r273544 : #i100127# re-disable warning 4180, still needed for some files
    2009-07-01 09:07:33 +0200 fs  r273543 : #i100127# reverted previous patch, and properly fixed the problem by defining BOOST_MEM_FN_ENABLE_CDECL
    2009-06-24 11:00:32 +0200 fs  r273319 : oops, re-introduced some inc locations
    2009-06-23 22:10:02 +0200 fs  r273304 : #i100127# disable warning C4180
    2009-06-23 22:08:36 +0200 fs  r273303 : #i100127# disable warning C4180
    2009-06-16 12:26:49 +0200 fs  r273015 : #i10000# (provided by mst at openoffice.org)
    2009-06-15 09:10:27 +0200 fs  r272962 : #i10000# use -r instead of -a when copying the include files, this prevents the spurious 'failed to preserve ownership' errors
    2009-06-11 23:55:06 +0200 fs  r272902 : #i100127#
    2009-06-11 23:54:47 +0200 fs  r272901 : #i100127#
    2009-06-11 23:54:05 +0200 fs  r272900 : make compile on unxsol[i|s]4
    2009-06-10 10:12:22 +0200 fs  r272798 : #i100127# don't deliver from within unxlngi6/misc/build/boost, but from a 'normalized' location unxlngi6/inc
    2009-06-10 09:48:00 +0200 fs  r272795 : #i100127# use 1.34.1 unconditionally on all platforms

diff --git a/configure.in b/configure.in
index 36c2179..814d110 100644
--- a/configure.in
+++ b/configure.in
@@ -4083,8 +4083,24 @@ if test -n "$with_system_boost" -o -n "$with_system_headers" && \
    AC_LANG_PUSH([C++])
    AC_CHECK_HEADER(boost/shared_ptr.hpp, [],
        [AC_MSG_ERROR(boost/shared_ptr.hpp not found. install boost)], [])
-   AC_CHECK_HEADER(boost/spirit/core.hpp, [],
-       [AC_MSG_ERROR(boost/spirit/core.hpp not found. install boost)], [])
+   AC_CHECK_HEADER(boost/spirit/include/classic_core.hpp, [],
+       [AC_MSG_ERROR(boost/spirit/include/classic_core.hpp not found. install boost >= 1.38)], [])
+   AC_CHECK_HEADER(boost/function.hpp, [],
+       [AC_MSG_ERROR(boost/function.hpp not found. install boost)], [])
+
+   save_CXXFLAGS=$CXXFLAGS
+   CXXFLAGS="$CXXFLAGS -fno-exceptions"
+   AC_MSG_CHECKING([whether boost/function.hpp compiles with -fno-exceptions])
+   AC_TRY_COMPILE([#include <boost/function.hpp>
+], [],
+   ac_cv_cxx_boost_no_exceptons_broken=no, ac_cv_cxx_boost_no_exceptons_broken=yes)
+
+   if test "$ac_cv_cxx_boost_no_exceptons_broken" = "yes"; then
+	AC_MSG_ERROR([no, see https://bugzilla.redhat.com/show_bug.cgi?id=477131])
+   else
+  	AC_MSG_RESULT([yes])
+   fi
+   CXXFLAGS=$save_CXXFLAGS
    AC_LANG_POP([C++])
 else
    AC_MSG_RESULT([internal])
diff --git a/solenv/inc/tg_ext.mk b/solenv/inc/tg_ext.mk
index 2c96299..b0096d7 100644
--- a/solenv/inc/tg_ext.mk
+++ b/solenv/inc/tg_ext.mk
@@ -115,9 +115,9 @@ clean:
 $(MISC)/%.unpack : $(PRJ)/download/%.tar.bz2
     @-$(RM) $@
 .IF "$(GUI)"=="UNX"
-    @noop $(assign UNPACKCMD := sh -c "bzip2 -cd $(BACK_PATH)$(fake_back)download/$(TARFILE_NAME).tar.bz2 $(TARFILE_FILTER) | $(TAR) $(TAR_EXCLUDE_SWITCH) -x$(tar_verbose_switch)f - ")
+    @noop $(assign UNPACKCMD := sh -c "bzip2 -cd $(BACK_PATH)$(fake_back)download/$(TARFILE_NAME).tar.bz2 $(TARFILE_FILTER) | $(GNUTAR) $(TAR_EXCLUDE_SWITCH) -x$(tar_verbose_switch)f - ")
 .ELSE			# "$(GUI)"=="UNX"
-    @noop $(assign UNPACKCMD := bzip2 -cd $(BACK_PATH)$(fake_back)download/$(TARFILE_NAME).tar.bz2 $(TARFILE_FILTER) | $(TAR) $(TAR_EXCLUDE_SWITCH) -x$(tar_verbose_switch)f - )
+    @noop $(assign UNPACKCMD := bzip2 -cd $(BACK_PATH)$(fake_back)download/$(TARFILE_NAME).tar.bz2 $(TARFILE_FILTER) | $(GNUTAR) $(TAR_EXCLUDE_SWITCH) -x$(tar_verbose_switch)f - )
 .ENDIF			# "$(GUI)"=="UNX"
     @$(TYPE) $(mktmp $(UNPACKCMD)) > $@.$(INPATH)
     @$(RENAME) $@.$(INPATH) $@
@@ -125,28 +125,28 @@ $(MISC)/%.unpack : $(PRJ)/download/%.tar.bz2
 $(MISC)/%.unpack : $(PRJ)/download/%.tar.Z
     @-$(RM) $@
 .IF "$(GUI)"=="UNX"
-    @noop $(assign UNPACKCMD := sh -c "uncompress -c $(BACK_PATH)$(fake_back)download/$(TARFILE_NAME).tar.Z | $(TAR) $(TAR_EXCLUDE_SWITCH) -x$(tar_verbose_switch)f - ")
+    @noop $(assign UNPACKCMD := sh -c "uncompress -c $(BACK_PATH)$(fake_back)download/$(TARFILE_NAME).tar.Z | $(GNUTAR) $(TAR_EXCLUDE_SWITCH) -x$(tar_verbose_switch)f - ")
 .ELSE			# "$(GUI)"=="UNX"
-    @noop $(assign UNPACKCMD := uncompress -c $(BACK_PATH)$(fake_back)download/$(TARFILE_NAME).tar.Z | $(TAR) $(TAR_EXCLUDE_SWITCH) -x$(tar_verbose_switch)f - )
+    @noop $(assign UNPACKCMD := uncompress -c $(BACK_PATH)$(fake_back)download/$(TARFILE_NAME).tar.Z | $(GNUTAR) $(TAR_EXCLUDE_SWITCH) -x$(tar_verbose_switch)f - )
 .ENDIF			# "$(GUI)"=="UNX"
     @$(TYPE) $(mktmp $(UNPACKCMD)) > $@.$(INPATH)
     @$(RENAME) $@.$(INPATH) $@
 
 $(MISC)/%.unpack : $(PRJ)/download/%.tar.gz
     @-$(RM) $@
-    @noop $(assign UNPACKCMD := gzip -d -c $(subst,\,/ $(BACK_PATH)$(fake_back)download/$(TARFILE_NAME).tar.gz) $(TARFILE_FILTER) | $(TAR) $(TAR_EXCLUDE_SWITCH) -x$(tar_verbose_switch)f - )
+    @noop $(assign UNPACKCMD := gzip -d -c $(subst,\,/ $(BACK_PATH)$(fake_back)download/$(TARFILE_NAME).tar.gz) $(TARFILE_FILTER) | $(GNUTAR) $(TAR_EXCLUDE_SWITCH) -x$(tar_verbose_switch)f - )
     @$(TYPE) $(mktmp $(UNPACKCMD)) > $@.$(INPATH)
     @$(RENAME) $@.$(INPATH) $@
 
 $(MISC)/%.unpack : $(PRJ)/download/%.tgz
     @-$(RM) $@
-    @noop $(assign UNPACKCMD := gzip -d -c $(subst,\,/ $(BACK_PATH)$(fake_back)download/$(TARFILE_NAME).tgz) $(TARFILE_FILTER) | $(TAR) $(TAR_EXCLUDE_SWITCH) -x$(tar_verbose_switch)f - )
+    @noop $(assign UNPACKCMD := gzip -d -c $(subst,\,/ $(BACK_PATH)$(fake_back)download/$(TARFILE_NAME).tgz) $(TARFILE_FILTER) | $(GNUTAR) $(TAR_EXCLUDE_SWITCH) -x$(tar_verbose_switch)f - )
     @$(TYPE) $(mktmp $(UNPACKCMD)) > $@.$(INPATH)
     @$(RENAME) $@.$(INPATH) $@
 
 $(MISC)/%.unpack : $(PRJ)/download/%.tar
     @-$(RM) $@
-    noop $(assign UNPACKCMD := $(TAR) $(TAR_EXCLUDE_SWITCH) -x$(tar_verbose_switch)f $(BACK_PATH)$(fake_back)download/$(TARFILE_NAME).tar)
+    noop $(assign UNPACKCMD := $(GNUTAR) $(TAR_EXCLUDE_SWITCH) -x$(tar_verbose_switch)f $(BACK_PATH)$(fake_back)download/$(TARFILE_NAME).tar)
     @$(TYPE) $(mktmp $(UNPACKCMD)) > $@.$(INPATH)
     @$(RENAME) $@.$(INPATH) $@
 
diff --git a/solenv/inc/unitools.mk b/solenv/inc/unitools.mk
index ed30eca..6166161 100644
--- a/solenv/inc/unitools.mk
+++ b/solenv/inc/unitools.mk
@@ -132,7 +132,7 @@ COPYRECURSE=-r
 AWK*=nawk
 GNUCOPY*=gnucp
 GNUPATCH*=gnupatch
-GNUTAR*=gtar
+GNUTAR*=/usr/sfw/bin/gtar
 DEREFERENCE=
 .ELSE			# "$(OS)"=="SOLARIS"
 AWK*=awk
diff --git a/solenv/inc/wntmsci11.mk b/solenv/inc/wntmsci11.mk
index ae9e6c5..35fd293 100644
--- a/solenv/inc/wntmsci11.mk
+++ b/solenv/inc/wntmsci11.mk
@@ -115,6 +115,9 @@ RSCDEFS+=-DFULL_DESK
 CFLAGSEXCEPTIONS=-EHa
 CFLAGS_NO_EXCEPTIONS=
 
+# enable boost support for __cdecl (SAL_CALL) C++-UNO interface methods
+CDEFS+=-DBOOST_MEM_FN_ENABLE_CDECL
+
 # with the current debug switches PCH won't work
 # anyway. so keep the existing .pch intact and don't
 # touch it
@@ -186,6 +189,8 @@ CFLAGSOUTOBJ=-Fo
 # - "warning C4820: padding added after member".
 # - "warning C4503: 'identifier' : decorated name length exceeded, name was truncated"
 #   (http://msdn2.microsoft.com/en-us/library/074af4b6.aspx)
+# - "warning C4180: qualifier applied to function type has no meaning; ignored"
+#   (frequently seen with a recent boost)
 # For C, certain warnings from system headers (stdlib.h etc.) have to be
 # disabled globally (for C++, this is not necessary, as the system headers are
 # wrapped by STLport):
@@ -196,7 +201,8 @@ CFLAGSOUTOBJ=-Fo
 CFLAGSWARNCXX=-Wall -wd4061 -wd4127 -wd4191 -wd4217 -wd4250 -wd4251 -wd4275 \
     -wd4290 -wd4294 -wd4355 -wd4511 -wd4512 -wd4514 -wd4611 -wd4625 -wd4626 \
     -wd4640 -wd4675 -wd4710 -wd4711 -wd4786 -wd4800 -wd4820 -wd4503 -wd4619 \
-    -wd4365 -wd4668 -wd4738 -wd4826 -wd4350 -wd4505 -wd4692 -wd4189 -wd4005
+    -wd4365 -wd4668 -wd4738 -wd4826 -wd4350 -wd4505 -wd4692 -wd4189 -wd4005 \
+    -wd4180
 CFLAGSWARNCC=$(CFLAGSWARNCXX) -wd4255
 CFLAGSWALLCC=$(CFLAGSWARNCC)
 CFLAGSWALLCXX=$(CFLAGSWARNCXX)


More information about the ooo-build-commit mailing list